# Class AwtPanel.RequestThread

java.lang.Object
jspecview.java.AwtPanel.RequestThread

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `AwtPanel`

public class AwtPanel.RequestThread extends Object implements Runnable

Author:
  Debbie-Ann Faceyf, Khari A. Bryan, Craig A.D. Walters, Prof Robert J. Lancashire, Bob Hanson hansonr@stolaf.edu

## Constructor Summary

Constructors
Constructor
Description
`RequestThread()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RequestThread

public RequestThread()

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`